## com.arsdigita.docmgr
Class DocBlobject

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.docmgr.DocBlobject

public class DocBlobject
extends com.arsdigita.domain.DomainObject

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`

Fields inherited from class com.arsdigita.domain.DomainObject
`versionId`

Constructor Summary
`DocBlobject()`
`DocBlobject(BigDecimal id)` Creates a new File by retrieving it based on ID.
`DocBlobject(com.arsdigita.persistence.DataObject dataObject)` Creates a new Doc Blob by retrieving it from the underlying data object.
`DocBlobject(com.arsdigita.persistence.OID oid)` Creates a new DocBlobject by retrieving it based on OID.

Method Summary
`String` `getBaseDataObjectType()`
`byte[]` `getContent()`
`protected void` `initialize()`
`void` `setContent(byte[] content)`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, afterSave, beforeDelete, beforeSave, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### DocBlobject

    public DocBlobject()

### DocBlobject

    public DocBlobject(com.arsdigita.persistence.DataObject dataObject)

  Creates a new Doc Blob by retrieving it from the underlying data object.

Parameters:
  `dataObject` - the dataObject corresponding to this file

### DocBlobject

    public DocBlobject(BigDecimal id)
                throws com.arsdigita.domain.DataObjectNotFoundException

  Creates a new File by retrieving it based on ID.

Parameters:
  `id` - - the ID of this file in the database

### DocBlobject

    public DocBlobject(com.arsdigita.persistence.OID oid)
                throws com.arsdigita.domain.DataObjectNotFoundException

  Creates a new DocBlobject by retrieving it based on OID.

Parameters:
  `oid` - - the OID of this file

Method Detail

### getBaseDataObjectType

    public String getBaseDataObjectType()

### initialize

    protected void initialize()

### getContent

    public byte[] getContent()

### setContent

    public void setContent(byte[] content)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC